import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/hrm/jobcall/getHasRight', 'GET', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/jobcall/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/jobcall/edit', 'POST', params);
}

export const deleteRows = (params) => {
	return WeaTools.callApi('/api/hrm/jobcall/delete', 'POST', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/jobcall/getSearchCondition', 'GET', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/hrm/jobcall/getSearchList', 'GET', params);
}

export const getNeForm = (params) => {
	return WeaTools.callApi('/api/hrm/jobcall/getJobCallForm?is_multilang_set=true', 'GET', params);
}